<?php
  session_start();
  
  function updateData($kolor)
  {
    $dsn = "mysql:host=localhost;dbname=testphp";
    $uzytkownik = "php";
    $haslo = "test";

    try{
      $dbo = new PDO($dsn, $uzytkownik, $haslo);
    }
    catch (PDOException $e){
      //echo 'Błąd połączenia: ' . $e->getMessage();
      return false;
    }

    $kolor = $dbo->quote($kolor);
    $query = "UPDATE kolory SET Glosy = Glosy + 1 ".
             "WHERE Kolor = $kolor";
    $result = $dbo->query($query);

    if(!$result){
      //echo "Błąd w zapytaniu UPDATE";
      return false;
    }
    return true;
  }

  if(isset($_POST["vote"])){
    $kolor = $_POST["vote"];
  }
  else{
    $kolor = "";
  }

  if($kolor == "" || ($kolor != 'czerwony' && $kolor != 'zielony'
     && $kolor != 'niebieski' && $kolor != 'fioletowy' 
     && $kolor != 'czarny')){
    $_SESSION['komunikat'] = "Głos niezapisany. Proszę zaznaczyć jeden z kolorów.";
  }
  else if(!updateData($kolor)){
    $_SESSION['komunikat'] = "Błąd serwera. Nie udało się zapisać głosu.";
  }
  header('Location: wyniki.php');
?>
